Page MenuHomePhabricator

Migrate deprecated "service dns forwarding listen-on" to listen-address
Closed, ResolvedPublicFEATURE REQUEST

Description

The CLI node service dns forwarding listen-oni s deprecated as of VyOS 1.2.0.

Write a migration script which looks up all configured listen-on addresses and migrate it to proper listen-address entries.

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

c-po changed the task status from Open to In progress.Aug 17 2019, 8:45 PM
c-po claimed this task.
c-po created this task.
c-po updated the task description. (Show Details)
c-po changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).

Also the subtask T1524 should be part of this migration script as if the new allow-from node does not exist it should be populated by the current hard-coded addresses of 0.0.0.0/0 and ::/0

c-po changed the status of subtask T1524: Add support to set allow-from network in DNS forwarding from In progress to Backport candidate.Aug 20 2019, 9:53 AM
c-po closed this task as Resolved.Aug 20 2019, 10:04 AM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Oct 13 2019, 3:06 PM